using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;
using Topsdk.Top.Ability414.Domain;

namespace Topsdk.Top.Ability414.Response;

public class TaobaoTbkOrderRefundGetResponse : AbstractTopApiResponse
{

    /*
        返回数据
            */
    private TaobaoTbkOrderRefundGetOrderPage? data;


    /*
        接口返回值信息，跟rpc架构保持一致
            */
    private long? resultCode;


    /*
        业务错误信息
            */
    private string? bizErrorDesc;


    /*
        业务错误码 101, 102,103
            */
    private long? bizErrorCode;


    /*
        返回信息
            */
    private string? resultMsg;


    [JsonPropertyName("data")]
    public TaobaoTbkOrderRefundGetOrderPage? Data
    {
        get => data;
        set => this.data = value;
    }

    [JsonPropertyName("result_code")]
    public long? ResultCode
    {
        get => resultCode;
        set => this.resultCode = value;
    }

    [JsonPropertyName("biz_error_desc")]
    public string? BizErrorDesc
    {
        get => bizErrorDesc;
        set => this.bizErrorDesc = value;
    }

    [JsonPropertyName("biz_error_code")]
    public long? BizErrorCode
    {
        get => bizErrorCode;
        set => this.bizErrorCode = value;
    }

    [JsonPropertyName("result_msg")]
    public string? ResultMsg
    {
        get => resultMsg;
        set => this.resultMsg = value;
    }

}

